> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appstatic.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an ad



## OpenAPI

````yaml /api-reference/openapi.yaml get /ads/{id}
openapi: 3.1.0
info:
  title: appstatic API
  version: '1.0'
  description: >-
    Generate audited Meta static ads for your app and push them to your ad
    account.
servers:
  - url: https://www.appstatic.io/api/v1
security:
  - bearerAuth: []
paths:
  /ads/{id}:
    get:
      summary: Get an ad
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ad'
        '404':
          description: Not found
components:
  schemas:
    Ad:
      type: object
      properties:
        id:
          type: string
          format: uuid
        imageUrl:
          type: string
        treatment:
          type: string
          enum:
            - faithful
            - minimal
        market:
          type: string
        status:
          type: string
        copyVariants:
          type: array
          items:
            type: object
            properties:
              primaryText:
                type: string
              headline:
                type: string
              cta:
                type: string
        concept:
          type: object
          nullable: true
          properties:
            slug:
              type: string
            hook:
              type: string
            visualStyle:
              type: string
            referenceBrand:
              type: string
              nullable: true
            daysRunning:
              type: integer
            euReach:
              type: integer
              nullable: true
        metaAdId:
          type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key from Settings → API & agents (as_live_…)

````